BermudanExercise Class Reference

Bermudan exercise. More...

`#include <ql/exercise.hpp>`

Inheritance diagram for BermudanExercise:
[legend]

## Public Member Functions

| BermudanExercise (const std::vector< Date > &dates, bool payoffAtExpiry=false)
Public Member Functions inherited from EarlyExercise
| EarlyExercise (Type type, bool payoffAtExpiry=false)
bool | payoffAtExpiry () const
Public Member Functions inherited from Exercise
| Exercise (Type type)
Type | type () const
Date | date (Size index) const
Date | dateAt (Size index) const
const std::vector< Date > & | dates () const
| Returns all exercise dates.
Date | lastDate () const

## Additional Inherited Members

Public Types inherited from Exercise
enum | Type { American, Bermudan, European }
Protected Attributes inherited from Exercise
std::vector< Date > | dates_
Type | type_

## Detailed Description

Bermudan exercise.

A Bermudan option can only be exercised at a set of fixed dates.

Examples:
  BermudanSwaption.cpp, and EquityOption.cpp.